Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.file.nw.naming
Class FSEnvironment

    java.lang.Object
      |
      +--com.novell.utility.naming.Environment
            |
            +--com.novell.service.file.nw.naming.FSEnvironment

public class FSEnvironment
extends Environment
implements java.lang.Cloneable, java.io.Serializable

Defines the environment names of File System specific configuration information.

See Also:
  `Environment`

Field Summary
`static java.lang.String` | `DEFAULT_NAME_SPACE` Environment property containing the current name space.
`static java.lang.String` | `LIST_FILTER` Environment property containing the filter currently used to filter the list results.
`static java.lang.String` | `PATH` Deprecated. Environment property containing the path. (PATH = "com.novell.service.file.path")
`static java.lang.String` | `SERVER_NAME` Deprecated. Environment property containing the server name. (SERVER_NAME = "com.novell.service.file.serverName")
`static java.lang.String` | `SUPPORT_REFERENCES` Environment property describing if reference support is enabled.

Fields inherited from class com.novell.utility.naming.Environment
`AUTHORITATIVE, BATCHSIZE, DNS_URL, FS_INITIAL_CONTEXT_FACTORY, IIOP_PROTOCOL, INITIAL_CONTEXT_FACTORY, LANGUAGE, LDAP_PROTOCOL, NCP_PROTOCOL, NDS_INITIAL_CONTEXT_FACTORY, NW_INITIAL_CONTEXT_FACTORY, OBJECT_FACTORIES, PROVIDER_URL, QMS_INITIAL_CONTEXT_FACTORY, REFERRAL, RMI_PROTOCOL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, SERVER_INITIAL_CONTEXT_FACTORY, SESSION_MANAGER_OBJECT, SESSION_OBJECT, TRANSPORT_PROTOCOL, URL_PKG_PREFIXES`

Methods inherited from class com.novell.utility.naming.Environment
``

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUPPORT_REFERENCES

    public static final java.lang.String SUPPORT_REFERENCES

  Environment property describing if reference support is enabled.

  (SUPPORT_REFERENCES = "com.novell.service.file.supportReferences")

### DEFAULT_NAME_SPACE

    public static final java.lang.String DEFAULT_NAME_SPACE

  Environment property containing the current name space.

  (DEFAULT_NAME_SPACE = "com.novell.service.file.defaultNameSpace")

### LIST_FILTER

    public static final java.lang.String LIST_FILTER

  Environment property containing the filter currently used to filter the list results.

  (LIST_FILTER = "com.novell.service.file.listFilter")

### SERVER_NAME

    public static final java.lang.String SERVER_NAME

  Deprecated. Environment property containing the server name.

  (SERVER_NAME = "com.novell.service.file.serverName")

### PATH

    public static final java.lang.String PATH

  Deprecated. Environment property containing the path.

  (PATH = "com.novell.service.file.path")

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD